singular (1:4.4.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.7.2 (no change);
    - d/watch, update/correct.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 30 Aug 2025 17:18:46 +0000

singular (1:4.4.1+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 17 Aug 2025 17:16:56 +0000

singular (1:4.4.1+ds-2) unstable; urgency=medium

  * Technical upload (Closes: #1094692).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 01 Feb 2025 17:25:29 +0000

singular (1:4.4.1+ds-1) unstable; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 Jan 2025 22:36:41 +0000

singular (1:4.4.0-p8+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 21 Dec 2024 21:47:42 +0000

singular (1:4.4.0-p7+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 01 Dec 2024 16:01:24 +0000

singular (1:4.4.0-p6+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Oct 2024 10:27:35 +0000

singular (1:4.4.0-p5+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Sep 2024 12:32:53 +0000

singular (1:4.4.0-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/p/upstream-autotools-moduledir.patch, integrated;
    - d/p/debianization-resources.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Jun 2024 21:03:45 +0000

singular (1:4.4.0-p2+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/copyright:
      - Copyright year-tuples, update;
    - modules, migrate from the /usr/libexec hierarchy to the /usr/lib one:
      - d/p/upstream-autotools-moduledir.patch, introduce;
      - d/singular-modules.lintian-overrides, obsoleted;
      - d/singular-modules.install, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 05 Jun 2024 11:17:15 +0000

singular (1:4.4.0+ds-4) unstable; urgency=medium

  * Serious bug fix (Closes: #1071734).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 25 May 2024 12:58:19 +0000

singular (1:4.4.0+ds-3) unstable; urgency=medium

  * Technical upload.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 23 May 2024 11:55:55 +0000

singular (1:4.4.0+ds-2) unstable; urgency=medium

  * RC bug fix (Closes: #1071585), upgrade lib package name.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 21 May 2024 21:52:47 +0000

singular (1:4.4.0+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-rename-libraries.patch, update;
    - d/control:
      - Standards Version, bump to 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Apr 2024 21:48:23 +0000

singular (1:4.3.2-p16+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Doug Torrance <dtorrance@debian.org>  Tue, 02 Apr 2024 20:31:52 -0400

singular (1:4.3.2-p16+ds-1~exp1) experimental; urgency=medium

  * New upstream patch version (Closes: #1067293).
  * Debianization:
    - d/control:
      - Build-Depends list, specify minimal versions for libflint-dev
        and normaliz;
      - libsingular-dev package:
        - Suggests list, rename pkg-config to pkgconf.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 01 Apr 2024 15:40:25 +0000

singular (1:4.3.2-p10+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062899

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:01:11 +0000

singular (1:4.3.2-p10+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 31 Oct 2023 08:56:18 +0000

singular (1:4.3.2-p9+ds-1) unstable; urgency=medium

  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 30 Oct 2023 16:27:33 +0000

singular (1:4.3.2-p8+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization-documentation.patch, refresh (Closes: #1052752).

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 Oct 2023 16:52:55 +0000

singular (1:4.3.2-p7+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream patch version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 20 Aug 2023 13:28:10 +0000

singular (1:4.3.2-p4+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - documentation: now effectivelly provides the software documentation;
    - module package: now provides the (singular) libparse executable.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 23 Jul 2023 21:30:34 +0000

singular (1:4.3.2-p3+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/control:
      - discard all python3-brial Recommends/Suggests/Depends.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 19 Jul 2023 09:22:14 +0000

singular (1:4.3.2+ds-3) experimental; urgency=medium

  * FTBFS fix release, add python3 dependency.
  * Debianization:
    - d/control:
      - Build-Depends, add python3.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Apr 2023 22:36:48 +0000

singular (1:4.3.2+ds-2) experimental; urgency=medium

  * RC fix release: discard python3-brial dependency (Closes: #1034769);
    it appears that singular (i) still uses polybori (python2) and
    (ii) have not yet migrated to brial (python3).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Apr 2023 21:39:54 +0000

singular (1:4.3.2+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 28 Mar 2023 21:03:34 +0000

singular (1:4.3.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-autotools-libpolys-modules.patch, integrated;
    - d/copyright:
      - Files-Excluded list, update;
      - Copyright year-tuples, update;
    - d/control:
      - Standards Version, bump to 4.6.2 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 03 Jan 2023 15:14:59 +0000

singular (1:4.3.1-p2+ds-2) unstable; urgency=medium

  * Upload to unstable (closes: #1023360).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-autotools-libpolys-modules.patch, introduce
        (Closes: #1020380).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Dec 2022 11:20:51 +0000

singular (1:4.3.1-p2+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - various janitorial changes.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 17:58:16 +0000

singular (1:4.3.1-p1+ds-1) experimental; urgency=medium

  * New upstream micro version.
  * Debianization:
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/patches/*:
      - d/p/upstream-update-README_pkg-debian.patch, introduce;
      - d/p/debianization-resources.patch, refresh;
    - d/singular-doc.docs, update;
    - d/s/lintian-overrides:
      - source-is-missing, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Jul 2022 19:07:13 +0000

singular (1:4.3.0-p1+ds-3) experimental; urgency=medium

  * RC bug fix (closes: #1012407), upgrade lib package name.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 12 Jun 2022 12:59:04 +0000

singular (1:4.3.0-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - d/watch:
      - upstream site address, update.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 22 May 2022 16:22:37 +0000

singular (1:4.3.0-p1+ds-1) experimental; urgency=medium

  * New upstream patch version.
  * Debianization:
    - policy change: singular.info now in /u/s/info as expected;
    - d/control:
      - Maintenance, migrate to Debian Math Team.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 06 Mar 2022 15:21:16 +0000

singular (1:4.3.0+ds-1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - copyright year tuples, update;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 15 Jan 2022 14:26:58 +0000

singular (1:4.2.1-p3+ds-1) unstable; urgency=medium

  * New upstream patch version.
  * Debianization:
    - d/copyright, refresh;
    - d/patches/*:
      - d/p/upstream-source-lintian-spelling.patch, renew;
      - d/p/upstream-source-typo.patch, integrated;
      - d/p/upstream-fix-conflict-Givaro.patch, obsoleted.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Dec 2021 20:20:53 +0000

singular (1:4.2.1-p2+ds-6) unstable; urgency=medium

  * Debianization:
    - d/{p/debianization-{resources,-adhoc-info}.patch,
         singular-doc.{docs,info,install}} rationalize
         (Closes: #1001806).

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 16 Dec 2021 20:39:36 +0000

singular (1:4.2.1-p2+ds-5) unstable; urgency=medium

  * Debianization:
    - d/control:
      - libsingular4m2n1 package entries, sanitize (Closes: #1001658);
      - singular package, mark `Multi-Arch: same'.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 20:27:46 +0000

singular (1:4.2.1-p2+ds-4) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-conflict-Givaro.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 14 Dec 2021 19:21:46 +0000

singular (1:4.2.1-p2+ds-3) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends field, add bison;
    - d/rules:
      - override_dh_auto_configure target, add option --enable-streamio
        (Closes: #974103);
    - d/patches/*:
      - d/p//upstream-fix-factoryconf_h-include.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 11 Dec 2021 13:33:59 +0000

singular (1:4.2.1-p2+ds-2) experimental; urgency=medium

  * Debinization:
    - d/control:
      - debhelper, bump to version 12;
      - Build-Depends list, remove python-is-python3 and add topcom;
      - library package, rename libsingular4m2n1;
    - d/rules:
      - PYTHON environment variable, export;
      - override_dh_auto_configure target, introduce to honor libexec;
    - d/patches/*:
      - d/p/upstream-source-typo.patch, introduce (Closes: #965090);
      - d/p/upstream-source-lintian-spelling.patch, introduce;
    - d/singular-ui-emacs.install, add .emacs-* Emacs initializations
        files (Closes: #965089);
    - d/singular-modules.install, now honor libexec;
    - d/singular-modules.lintian-overrides, provide explanation;
    - d/libsingular4-dev{,-common}.lintian-overrides, provide comment;
    - d/upstream/metadata, introduce;
    - d/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 27 Nov 2021 19:24:24 +0000

singular (1:4.2.1-p2+ds-1) experimental; urgency=medium

  * New minor upstream version (Closes: #992003).
  * Debianization:
    - d/control:
      - Build-Depends list, add python-is-python3;
      - Rules-Requires-Root, introduce and set to no;
      - Standards Version, bump to 4.6.0 (no change);
    - d/copyright:
      - machine-readable copyright file URI, fix;
      - copyright year tuples, update;
      - Files-Excluded list, refresh;
      - obsoleted Files entries, clean up;
    - d/patches/*, update;
    - d/singular-doc.{docs,info}, migrate from hlp to info;
    - d/*singular*.{install,lintian-overrides}, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 21 Nov 2021 20:39:00 +0000

singular (1:4.1.2-p1+ds-2) experimental; urgency=medium

  * Debianization:
    - migration to Python3 (Closes: #943272);
    - debian/copyright, update.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 09 Jan 2020 20:32:43 +0000

singular (1:4.1.2-p1+ds-1) experimental; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright, revisit;
    - debian/control:
      - Standards Version, bump to 4.4.1 (no change);
      - Depends field, libsingular4-dev, harden;
    - debian/rules:
      - override_dh_compress-indep target, no more compress singular.idx;
    - debian/sigular-doc.*:
      - d/singular-doc.{docs,info}, now distribute singular.hlp as info file;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling_error-silence.patch, integrated;
      - d/p/debianization-adhoc-info.patch, introduce;
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 09 Nov 2019 17:00:18 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsingular4m4n1`.
